Listar Loggers

Lista los loggers propiedad del usuario Glue autenticado.

curl "https://api.hola.cloud/v1/loggers" \
  -H "X-Glue-Authentication: TU_GLUE_TOKEN"
GET /v1/loggers HTTP/1.1
Host: api.hola.cloud
X-Glue-Authentication: TU_GLUE_TOKEN
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, err := http.NewRequest("GET", "https://api.hola.cloud/v1/loggers", nil)
	if err != nil {
		panic(err)
	}
	req.Header.Set("X-Glue-Authentication", "TU_GLUE_TOKEN")

	resp, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer resp.Body.Close()

	responseBody, err := io.ReadAll(resp.Body)
	if err != nil {
		panic(err)
	}
	fmt.Println(string(responseBody))
}
<?php
$ch = curl_init();

curl_setopt_array($ch, [
    CURLOPT_URL => 'https://api.hola.cloud/v1/loggers',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'X-Glue-Authentication: TU_GLUE_TOKEN',
    ],
]);

$response = curl_exec($ch);
if ($response === false) {
    throw new Exception(curl_error($ch));
}
curl_close($ch);

echo $response;
import requests

headers = {
    "X-Glue-Authentication": "TU_GLUE_TOKEN",
}

response = requests.request(
    "GET",
    "https://api.hola.cloud/v1/loggers",
    headers=headers
)

print(response.text)
const response = await fetch("https://api.hola.cloud/v1/loggers", {
  method: "GET",
  headers: {
    "X-Glue-Authentication": "TU_GLUE_TOKEN"
  }
});

console.log(await response.text());
const response = await fetch("https://api.hola.cloud/v1/loggers", {
  method: "GET",
  headers: {
    "X-Glue-Authentication": "TU_GLUE_TOKEN"
  }
});

const text = await response.text();
console.log(text);
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        var request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.hola.cloud/v1/loggers"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .header("X-Glue-Authentication", "TU_GLUE_TOKEN")
            .build();

        var response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}

Comentarios

Deja un comentario